diff --git a/usr.sbin/ntp/config.h b/usr.sbin/ntp/config.h
index 97c46aaf1dab..3d6a1364dd10 100644
--- a/usr.sbin/ntp/config.h
+++ b/usr.sbin/ntp/config.h
@@ -1534,16 +1561,16 @@
 #define SIZEOF_LONG 4
 #endif
 
-/* The size of `long long', as computed by sizeof. */
+/* The size of 'long long', as computed by sizeof. */
 #define SIZEOF_LONG_LONG 8
 
-/* The size of `pthread_t', as computed by sizeof. */
+/* The size of 'pthread_t', as computed by sizeof. */
 #define SIZEOF_PTHREAD_T 8
 
-/* The size of `short', as computed by sizeof. */
+/* The size of 'short', as computed by sizeof. */
 #define SIZEOF_SHORT 2
 
-/* The size of `signed char', as computed by sizeof. */
+/* The size of 'signed char', as computed by sizeof. */
 #define SIZEOF_SIGNED_CHAR 1
 
 /* The size of `time_t', as computed by sizeof. */
@@ -1567,7 +1594,9 @@
 	STACK_DIRECTION = 0 => direction of growth unknown */
 /* #undef STACK_DIRECTION */
 
-/* Define to 1 if you have the ANSI C header files. */
+/* Define to 1 if all of the C89 standard headers exist (not just the ones
+   required in a freestanding environment). This macro is provided for
+   backward compatibility; new code need not use it. */
 #define STDC_HEADERS 1
 
 /* Step, then slew the clock? */
@@ -1616,7 +1645,7 @@
 /* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
 #define TIME_WITH_SYS_TIME 1
 
-/* Define to 1 if your <sys/time.h> declares `struct tm'. */
+/* Define to 1 if your <sys/time.h> declares 'struct tm'. */
 /* #undef TM_IN_SYS_TIME */
 
 /* Provide a typedef for uintptr_t? */
@@ -1635,11 +1664,103 @@ typedef unsigned int	uintptr_t;
 #define USE_FSETOWNCTTY 1
 
 /* Use OpenSSL's crypto random functions */
-/* #define USE_OPENSSL_CRYPTO_RAND 1 */
+#define USE_OPENSSL_CRYPTO_RAND 1
 
 /* OK to use snprintb()? */
 /* #undef USE_SNPRINTB */
 
+/* Enable extensions on AIX, Interix, z/OS.  */
+#ifndef _ALL_SOURCE
+# define _ALL_SOURCE 1
+#endif
+/* Enable general extensions on macOS.  */
+#ifndef _DARWIN_C_SOURCE
+# define _DARWIN_C_SOURCE 1
+#endif
+/* Enable general extensions on Solaris.  */
+#ifndef __EXTENSIONS__
+# define __EXTENSIONS__ 1
+#endif
+/* Enable GNU extensions on systems that have them.  */
+#ifndef _GNU_SOURCE
+# define _GNU_SOURCE 1
+#endif
+/* Enable X/Open compliant socket functions that do not require linking
+   with -lxnet on HP-UX 11.11.  */
+#ifndef _HPUX_ALT_XOPEN_SOCKET_API
+# define _HPUX_ALT_XOPEN_SOCKET_API 1
+#endif
+/* Identify the host operating system as Minix.
+   This macro does not affect the system headers' behavior.
+   A future release of Autoconf may stop defining this macro.  */
+#ifndef _MINIX
+/* # undef _MINIX */
+#endif
+/* Enable general extensions on NetBSD.
+   Enable NetBSD compatibility extensions on Minix.  */
+#ifndef _NETBSD_SOURCE
+# define _NETBSD_SOURCE 1
+#endif
+/* Enable OpenBSD compatibility extensions on NetBSD.
+   Oddly enough, this does nothing on OpenBSD.  */
+#ifndef _OPENBSD_SOURCE
+# define _OPENBSD_SOURCE 1
+#endif
+/* Define to 1 if needed for POSIX-compatible behavior.  */
+#ifndef _POSIX_SOURCE
+/* # undef _POSIX_SOURCE */
+#endif
+/* Define to 2 if needed for POSIX-compatible behavior.  */
+#ifndef _POSIX_1_SOURCE
+/* # undef _POSIX_1_SOURCE */
+#endif
+/* Enable POSIX-compatible threading on Solaris.  */
+#ifndef _POSIX_PTHREAD_SEMANTICS
+# define _POSIX_PTHREAD_SEMANTICS 1
+#endif
+/* Enable extensions specified by ISO/IEC TS 18661-5:2014.  */
+#ifndef __STDC_WANT_IEC_60559_ATTRIBS_EXT__
+# define __STDC_WANT_IEC_60559_ATTRIBS_EXT__ 1
+#endif
+/* Enable extensions specified by ISO/IEC TS 18661-1:2014.  */
+#ifndef __STDC_WANT_IEC_60559_BFP_EXT__
+# define __STDC_WANT_IEC_60559_BFP_EXT__ 1
+#endif
+/* Enable extensions specified by ISO/IEC TS 18661-2:2015.  */
+#ifndef __STDC_WANT_IEC_60559_DFP_EXT__
+# define __STDC_WANT_IEC_60559_DFP_EXT__ 1
+#endif
+/* Enable extensions specified by C23 Annex F.  */
+#ifndef __STDC_WANT_IEC_60559_EXT__
+# define __STDC_WANT_IEC_60559_EXT__ 1
+#endif
+/* Enable extensions specified by ISO/IEC TS 18661-4:2015.  */
+#ifndef __STDC_WANT_IEC_60559_FUNCS_EXT__
+# define __STDC_WANT_IEC_60559_FUNCS_EXT__ 1
+#endif
+/* Enable extensions specified by C23 Annex H and ISO/IEC TS 18661-3:2015.  */
+#ifndef __STDC_WANT_IEC_60559_TYPES_EXT__
+# define __STDC_WANT_IEC_60559_TYPES_EXT__ 1
+#endif
+/* Enable extensions specified by ISO/IEC TR 24731-2:2010.  */
+#ifndef __STDC_WANT_LIB_EXT2__
+# define __STDC_WANT_LIB_EXT2__ 1
+#endif
+/* Enable extensions specified by ISO/IEC 24747:2009.  */
+#ifndef __STDC_WANT_MATH_SPEC_FUNCS__
+# define __STDC_WANT_MATH_SPEC_FUNCS__ 1
+#endif
+/* Enable extensions on HP NonStop.  */
+#ifndef _TANDEM_SOURCE
+# define _TANDEM_SOURCE 1
+#endif
+/* Enable X/Open extensions.  Define to 500 only if necessary
+   to make mbstate_t available.  */
+#ifndef _XOPEN_SOURCE
+/* # undef _XOPEN_SOURCE */
+#endif
+
+
 /* Can we use SIGPOLL for tty IO? */
 /* #undef USE_TTY_SIGPOLL */
 
@@ -1647,7 +1768,7 @@ typedef unsigned int	uintptr_t;
 /* #undef USE_UDP_SIGPOLL */
 
 /* Version number of package */
-#define VERSION "4.2.8p17"
+#define VERSION "4.2.8p18"
 
 /* vsnprintf expands "%m" to strerror(errno) */
 #define VSNPRINTF_PERCENT_M 1
@@ -1665,16 +1786,6 @@ typedef unsigned int	uintptr_t;
 /* routine worker child proc uses to exit. */
 #define WORKER_CHILD_EXIT exit
 
-/* Define to 1 if on MINIX. */
-/* #undef _MINIX */
-
-/* Define to 2 if the system does not provide POSIX.1 features except with
-   this defined. */
-/* #undef _POSIX_1_SOURCE */
-
-/* Define to 1 if you need to in order for `stat' and other things to work. */
-/* #undef _POSIX_SOURCE */
-
 /* enable thread safety */
 #define _REENTRANT 1
 
@@ -1687,49 +1798,25 @@ typedef unsigned int	uintptr_t;
 /* enable thread safety */
 #define _THREAD_SAFE 1
 
-/* Define to 500 only on HP-UX. */
-/* #undef _XOPEN_SOURCE */
-
 /* Are we _special_? */
 /* #undef __APPLE_USE_RFC_3542 */
 
-/* Define to 1 if type `char' is unsigned and you are not using gcc.  */
+/* Define to 1 if type 'char' is unsigned and your compiler does not
+   predefine this macro.  */
 #ifndef __CHAR_UNSIGNED__
 /* # undef __CHAR_UNSIGNED__ */
 #endif
 
-/* Enable extensions on AIX 3, Interix.  */
-#ifndef _ALL_SOURCE
-# define _ALL_SOURCE 1
-#endif
-/* Enable GNU extensions on systems that have them.  */
-#ifndef _GNU_SOURCE
-# define _GNU_SOURCE 1
-#endif
-/* Enable threading extensions on Solaris.  */
-#ifndef _POSIX_PTHREAD_SEMANTICS
-# define _POSIX_PTHREAD_SEMANTICS 1
-#endif
-/* Enable extensions on HP NonStop.  */
-#ifndef _TANDEM_SOURCE
-# define _TANDEM_SOURCE 1
-#endif
-/* Enable general extensions on Solaris.  */
-#ifndef __EXTENSIONS__
-# define __EXTENSIONS__ 1
-#endif
-
-
 /* deviant */
 /* #undef adjtimex */
 
-/* Define to empty if `const' does not conform to ANSI C. */
+/* Define to empty if 'const' does not conform to ANSI C. */
 /* #undef const */
 
-/* Define to `int' if <sys/types.h> doesn't define. */
+/* Define as 'int' if <sys/types.h> doesn't define. */
 /* #undef gid_t */
 
-/* Define to `__inline__' or `__inline' if that's what the C compiler
+/* Define to '__inline__' or '__inline' if that's what the C compiler
    calls it, or to nothing if 'inline' is not supported under any name.  */
 #ifndef __cplusplus
 /* #undef inline */
@@ -1745,29 +1832,21 @@ typedef unsigned int	uintptr_t;
 /* deviant */
 /* #undef ntp_gettime */
 
-/* Define to `long int' if <sys/types.h> does not define. */
+/* Define to 'long int' if <sys/types.h> does not define. */
 /* #undef off_t */
 
-/* Define to `int' if <sys/types.h> does not define. */
+/* Define as a signed integer type capable of holding a process identifier. */
 /* #undef pid_t */
 
-/* Define to `unsigned int' if <sys/types.h> does not define. */
+/* Define as 'unsigned int' if <stddef.h> doesn't define. */
 /* #undef size_t */
 
-	
-	    #if !defined(_KERNEL) && !defined(PARSESTREAM)
-	    /*
-	     * stdio.h must be included after _GNU_SOURCE is defined
-	     * but before #define snprintf rpl_snprintf
-	     */
-	    # include <stdio.h>	
-	    #endif
-	
+	#include "c99_snprintf.h"
 
 /* Define to rpl_snprintf if the replacement function should be used. */
 /* #undef snprintf */
 
-/* Define to `int' if <sys/types.h> doesn't define. */
+/* Define as 'int' if <sys/types.h> doesn't define. */
 /* #undef uid_t */
 
 /* Define to the widest unsigned integer type if <stdint.h> and <inttypes.h>
@@ -1778,11 +1857,11 @@ typedef unsigned int	uintptr_t;
    pointer, if such a type exists, and if the system does not define it. */
 /* #undef uintptr_t */
 
-/* Define as `fork' if `vfork' does not work. */
+/* Define as 'fork' if 'vfork' does not work. */
 /* #undef vfork */
 
-/* Define to empty if the keyword `volatile' does not work. Warning: valid
-   code using `volatile' can become incorrect without. Disable with care. */
+/* Define to empty if the keyword 'volatile' does not work. Warning: valid
+   code using 'volatile' can become incorrect without. Disable with care. */
 /* #undef volatile */
 
 /* Define to rpl_vsnprintf if the replacement function should be used. */
@@ -1820,9 +1899,21 @@ typedef union mpinfou {
 	#  endif
 	# endif
 	#endif	/* !defined(_KERNEL) && !defined(PARSESTREAM) */
-	
+
+	/*
+	 * Macro to use in otherwise-empty source files to comply with ANSI C
+	 * requirement that each translation unit (source file) contain some
+	 * declaration.  This has commonly been done by declaring an unused
+	 * global variable of type int or char.  An extern reference to abs()
+	 * serves the same purpose without bloat.  We once used exit() but
+	 * that can produce warnings on systems that declare exit() noreturn.
+	 */
+	#define NONEMPTY_TRANSLATION_UNIT	extern int abs(int);
+
 /*
  * FreeBSD specific: Explicitly specify date/time for reproducible build.
  */
 #define	MKREPRO_DATE "Aug 19 2018"
 #define	MKREPRO_TIME "01:24:29"
+
+#define HAVE_CLOSEFROM	1
diff --git a/usr.sbin/ntp/libntp/Makefile b/usr.sbin/ntp/libntp/Makefile
index 7cf4a33b8c6d..a833b5c41105 100644
--- a/usr.sbin/ntp/libntp/Makefile
+++ b/usr.sbin/ntp/libntp/Makefile
@@ -24,7 +24,7 @@ NTP_SRCS= systime.c	a_md5encrypt.c	adjtime.c	atoint.c \
 	ntp_crypto_rnd.c		ntp_intres.c	ntp_libopts.c \
 	ntp_lineedit.c	ntp_random.c	ntp_rfc2553.c	ntp_realpath.c \
 	ntp_worker.c \
-	numtoa.c	numtohost.c	octtoint.c	prettydate.c \
+	numtoa.c	octtoint.c	prettydate.c \
 	recvbuff.c	refidsmear.c	\
 	refnumtoa.c	snprintf.c	socket.c \
 	socktoa.c	socktohost.c	ssl_init.c	statestr.c \
diff --git a/usr.sbin/ntp/ntpd/Makefile b/usr.sbin/ntp/ntpd/Makefile
index d7b5010227f5..681377b702e8 100644
--- a/usr.sbin/ntp/ntpd/Makefile
+++ b/usr.sbin/ntp/ntpd/Makefile
@@ -45,12 +45,10 @@ CFLAGS+= -I${SRCTOP}/contrib/ntp/ntpd \
 	-I${.CURDIR:H} \
 	-I${.CURDIR}
 
-LIBADD=	parse ntp m opts pthread
+LIBADD=	parse ntp m md opts pthread
 
 .if ${MK_OPENSSL} != "no"
 LIBADD+=	crypto
-.else
-LIBADD+=	md
 .endif
 
 CLEANFILES+= .version version.c
diff --git a/usr.sbin/ntp/ntpd/leap-seconds b/usr.sbin/ntp/ntpd/leap-seconds
index 3fe9a1210e3c..c5a95aa51799 100644
--- a/usr.sbin/ntp/ntpd/leap-seconds
+++ b/usr.sbin/ntp/ntpd/leap-seconds
@@ -204,10 +204,10 @@
 #	current -- the update time stamp, the data and the name of the file
 #	will not change.
 #
-#	Updated through IERS Bulletin C66
-#	File expires on:  28 June 2024
+#	Updated through IERS Bulletin C67
+#	File expires on:  28 December 2024
 #
-#@	3928521600
+#@	3944332800
 #
 2272060800	10	# 1 Jan 1972
 2287785600	11	# 1 Jul 1972
@@ -252,4 +252,4 @@
 #	the hash line is also ignored in the
 #	computation.
 #
-#h 	16edd0f0 3666784f 37db6bdd e74ced87 59af48f1
+#h 	199a9d45 3f630d2f e47cb9cc c2f0fa47 96932227
diff --git a/usr.sbin/ntp/ntpdate/Makefile b/usr.sbin/ntp/ntpdate/Makefile
index 03afbb5d708b..1c082ff6be76 100644
--- a/usr.sbin/ntp/ntpdate/Makefile
+++ b/usr.sbin/ntp/ntpdate/Makefile
@@ -13,12 +13,10 @@ CFLAGS+= -I${SRCTOP}/contrib/ntp/include \
 	-I${SRCTOP}/contrib/ntp/libntp/lib/isc/pthreads/include \
 	-I${.CURDIR:H}
 
-LIBADD=	ntp m pthread
+LIBADD=	ntp m md pthread
 
 .if ${MK_OPENSSL} != "no"
 LIBADD+=	crypto
-.else
-LIBADD+=	md
 .endif
 
 CLEANFILES+= .version version.c
diff --git a/usr.sbin/ntp/ntpdc/Makefile b/usr.sbin/ntp/ntpdc/Makefile
index 8502b7c1b503..d085dad9e7c5 100644
--- a/usr.sbin/ntp/ntpdc/Makefile
+++ b/usr.sbin/ntp/ntpdc/Makefile
@@ -16,12 +16,10 @@ CFLAGS+= -I${SRCTOP}/contrib/ntp/include \
 	-I${.CURDIR}/lib/libc/${MACHINE_ARCH} \
 	-I${.CURDIR:H} -I${.CURDIR}
 
-LIBADD=	edit ntp m opts pthread
+LIBADD=	edit ntp m md opts pthread
 
 .if ${MK_OPENSSL} != "no"
 LIBADD+=	crypto
-.else
-LIBADD+=	md
 .endif
 
 CLEANFILES+= .version version.c
diff --git a/usr.sbin/ntp/ntpq/Makefile b/usr.sbin/ntp/ntpq/Makefile
index be1e9c9034ff..a351350bbe4c 100644
--- a/usr.sbin/ntp/ntpq/Makefile
+++ b/usr.sbin/ntp/ntpq/Makefile
@@ -19,12 +19,10 @@ CFLAGS+= -I${SRCTOP}/contrib/ntp/include \
 	-I${SRCTOP}/contrib/ntp/sntp/libopts \
 	-I${.CURDIR:H}
 
-LIBADD+=	edit ntp opts m pthread
+LIBADD+=	edit ntp opts m md pthread
 
 .if ${MK_OPENSSL} != "no"
 LIBADD+=	crypto
-.else
-LIBADD+=	md
 .endif
 
 CLEANFILES+= .version version.c
diff --git a/usr.sbin/ntp/scripts/mkver b/usr.sbin/ntp/scripts/mkver
index 279468a1af1c..2336dd71bacb 100755
--- a/usr.sbin/ntp/scripts/mkver
+++ b/usr.sbin/ntp/scripts/mkver
@@ -7,7 +7,7 @@ PROG=${1-UNKNOWN}
 
 ConfStr="$PROG"
 
-ConfStr="$ConfStr 4.2.8p16"
+ConfStr="$ConfStr 4.2.8p18"
 
 case "$CSET" in
  '') ;;
diff --git a/usr.sbin/ntp/sntp/Makefile b/usr.sbin/ntp/sntp/Makefile
index ebbfb77b4fab..da2aea1929f4 100644
--- a/usr.sbin/ntp/sntp/Makefile
+++ b/usr.sbin/ntp/sntp/Makefile
@@ -19,12 +19,10 @@ CFLAGS+= -I${SRCTOP}/contrib/ntp/include \
 	-I${.CURDIR:H}/libntpevent \
 	-I${.CURDIR:H}
 
-LIBADD=	m opts ntp ntpevent pthread
+LIBADD=	m opts md ntp ntpevent pthread
 
 .if ${MK_OPENSSL} != "no"
 LIBADD+=	crypto
-.else
-LIBADD+=	md
 .endif
 
 .include <bsd.prog.mk>
diff --git a/usr.sbin/periodic/etc/security/100.chksetuid b/usr.sbin/periodic/etc/security/100.chksetuid
index 071d296cdaff..6ade53a180be 100755
--- a/usr.sbin/periodic/etc/security/100.chksetuid
+++ b/usr.sbin/periodic/etc/security/100.chksetuid
@@ -36,8 +36,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_chksetuid_enable
-
 rc=0
 
 if check_yesno_period security_status_chksetuid_enable
diff --git a/usr.sbin/periodic/etc/security/110.neggrpperm b/usr.sbin/periodic/etc/security/110.neggrpperm
index 6def25fc6a0e..41f2713533b0 100755
--- a/usr.sbin/periodic/etc/security/110.neggrpperm
+++ b/usr.sbin/periodic/etc/security/110.neggrpperm
@@ -34,8 +34,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_neggrpperm_enable
-
 rc=0
 
 if check_yesno_period security_status_neggrpperm_enable
diff --git a/usr.sbin/periodic/etc/security/200.chkmounts b/usr.sbin/periodic/etc/security/200.chkmounts
index c6405bb86467..055cf256018a 100755
--- a/usr.sbin/periodic/etc/security/200.chkmounts
+++ b/usr.sbin/periodic/etc/security/200.chkmounts
@@ -39,10 +39,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_chkmounts_enable
-security_daily_compat_var security_status_chkmounts_ignore
-security_daily_compat_var security_status_noamd
-
 ignore="${security_status_chkmounts_ignore}"
 rc=0
 
diff --git a/usr.sbin/periodic/etc/security/300.chkuid0 b/usr.sbin/periodic/etc/security/300.chkuid0
index 121734357d06..c73980300d70 100755
--- a/usr.sbin/periodic/etc/security/300.chkuid0
+++ b/usr.sbin/periodic/etc/security/300.chkuid0
@@ -35,8 +35,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_chkuid0_enable
-
 rc=0
 
 if check_yesno_period security_status_chkuid0_enable
diff --git a/usr.sbin/periodic/etc/security/400.passwdless b/usr.sbin/periodic/etc/security/400.passwdless
index 10a80ce43370..3e30e5e9cf5f 100755
--- a/usr.sbin/periodic/etc/security/400.passwdless
+++ b/usr.sbin/periodic/etc/security/400.passwdless
@@ -34,8 +34,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_passwdless_enable
-
 rc=0
 
 if check_yesno_period security_status_passwdless_enable
diff --git a/usr.sbin/periodic/etc/security/410.logincheck b/usr.sbin/periodic/etc/security/410.logincheck
index 7e1ac5ec1b67..a3f3f3f1a21a 100755
--- a/usr.sbin/periodic/etc/security/410.logincheck
+++ b/usr.sbin/periodic/etc/security/410.logincheck
@@ -34,8 +34,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_logincheck_enable
-
 rc=0
 
 if check_yesno_period security_status_logincheck_enable
diff --git a/usr.sbin/periodic/etc/security/500.ipfwdenied b/usr.sbin/periodic/etc/security/500.ipfwdenied
index f2a435711805..3ee7b3aa5cdc 100755
--- a/usr.sbin/periodic/etc/security/500.ipfwdenied
+++ b/usr.sbin/periodic/etc/security/500.ipfwdenied
@@ -36,8 +36,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_ipfwdenied_enable
-
 rc=0
 
 if check_yesno_period security_status_ipfwdenied_enable
diff --git a/usr.sbin/periodic/etc/security/510.ipfdenied b/usr.sbin/periodic/etc/security/510.ipfdenied
index 3350bfd40fcf..b9f468fb96e5 100755
--- a/usr.sbin/periodic/etc/security/510.ipfdenied
+++ b/usr.sbin/periodic/etc/security/510.ipfdenied
@@ -36,8 +36,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_ipfdenied_enable
-
 rc=0
 
 if check_yesno_period security_status_ipfdenied_enable
diff --git a/usr.sbin/periodic/etc/security/520.pfdenied b/usr.sbin/periodic/etc/security/520.pfdenied
index 6af474712d6f..9852936257bc 100755
--- a/usr.sbin/periodic/etc/security/520.pfdenied
+++ b/usr.sbin/periodic/etc/security/520.pfdenied
@@ -36,8 +36,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_pfdenied_enable
-
 rc=0
 
 if check_yesno_period security_status_pfdenied_enable
diff --git a/usr.sbin/periodic/etc/security/550.ipfwlimit b/usr.sbin/periodic/etc/security/550.ipfwlimit
index 7b6f915a1ac5..8382c12df22f 100755
--- a/usr.sbin/periodic/etc/security/550.ipfwlimit
+++ b/usr.sbin/periodic/etc/security/550.ipfwlimit
@@ -37,8 +37,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_ipfwlimit_enable
-
 rc=0
 
 if check_yesno_period security_status_ipfwlimit_enable
diff --git a/usr.sbin/periodic/etc/security/610.ipf6denied b/usr.sbin/periodic/etc/security/610.ipf6denied
index a7902e504baa..e1db7611557b 100755
--- a/usr.sbin/periodic/etc/security/610.ipf6denied
+++ b/usr.sbin/periodic/etc/security/610.ipf6denied
@@ -36,8 +36,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_ipf6denied_enable
-
 rc=0
 
 if check_yesno_period security_status_ipf6denied_enable
diff --git a/usr.sbin/periodic/etc/security/700.kernelmsg b/usr.sbin/periodic/etc/security/700.kernelmsg
index cd4391aad98d..016bfbef36d0 100755
--- a/usr.sbin/periodic/etc/security/700.kernelmsg
+++ b/usr.sbin/periodic/etc/security/700.kernelmsg
@@ -39,8 +39,6 @@ fi
 
 . /etc/periodic/security/security.functions
 
-security_daily_compat_var security_status_kernelmsg_enable
-
 rc=0
 
 if check_yesno_period security_status_kernelmsg_enable
diff --git a/usr.sbin/periodic/etc/security/800.loginfail b/usr.sbin/periodic/etc/security/800.loginfail
index c5a3a972aaa1..19bf9a4b3b91 100755
--- a/usr.sbin/periodic/etc/security/800.loginfail
+++ b/usr.sbin/periodic/etc/security/800.loginfail
@@ -37,9 +37,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_logdir
-security_daily_compat_var security_status_loginfail_enable
-
 LOG="${security_status_logdir}"
 
 yesterday=`date -v-1d "+%b %e "`
diff --git a/usr.sbin/periodic/etc/security/900.tcpwrap b/usr.sbin/periodic/etc/security/900.tcpwrap
index 55fa58f4df39..bbbc04a03988 100755
--- a/usr.sbin/periodic/etc/security/900.tcpwrap
+++ b/usr.sbin/periodic/etc/security/900.tcpwrap
@@ -37,9 +37,6 @@ then
     source_periodic_confs
 fi
 
-security_daily_compat_var security_status_logdir
-security_daily_compat_var security_status_tcpwrap_enable
-
 LOG="${security_status_logdir}"
 
 yesterday=`date -v-1d "+%b %e "`
diff --git a/usr.sbin/periodic/etc/security/Makefile b/usr.sbin/periodic/etc/security/Makefile
index ddc51a672ae0..f70aa23a1445 100644
--- a/usr.sbin/periodic/etc/security/Makefile
+++ b/usr.sbin/periodic/etc/security/Makefile
@@ -24,7 +24,7 @@ DATAPACKAGE=	periodic
 CONFGROUPS+=		IPFILTER
 IPFILTER+=		510.ipfdenied
 IPFILTER+=		610.ipf6denied
-IPFILTERPACKAGE=	ipfilter
+IPFILTERPACKAGE=	ipf
 .endif
 
 .if ${MK_IPFW} != "no"
diff --git a/usr.sbin/periodic/etc/security/security.functions b/usr.sbin/periodic/etc/security/security.functions
index aa19a99ebf87..c3ff6eb69391 100644
--- a/usr.sbin/periodic/etc/security/security.functions
+++ b/usr.sbin/periodic/etc/security/security.functions
@@ -31,9 +31,6 @@ case "$0" in
 */security.functions) exit 0 ;;
 esac
 
-security_daily_compat_var security_status_logdir
-security_daily_compat_var security_status_diff_flags
-
 #
 # Show differences in the output of an audit command
 #
diff --git a/usr.sbin/periodic/periodic.conf b/usr.sbin/periodic/periodic.conf
index 608a199b3cc9..3bb34d827564 100644
--- a/usr.sbin/periodic/periodic.conf
+++ b/usr.sbin/periodic/periodic.conf
@@ -345,28 +345,6 @@ if [ -z "${source_periodic_confs_defined}" ]; then
 		fi
 	}
 
-	# Compatibility with old daily variable names.
-	# They can be removed in stable/11.
-	security_daily_compat_var() {
-		local var=$1 dailyvar value
-
-		dailyvar=daily_status_security${var#security_status}
-		periodvar=${var%enable}period
-		eval value=\"\$$dailyvar\"
-		[ -z "$value" ] && return
-		echo "Warning: Variable \$$dailyvar is deprecated," \
-		    "use \$$var instead." >&2
-		case "$value" in
-		[Yy][Ee][Ss])
-			eval $var=YES
-			eval $periodvar=daily
-			;;
-		*)
-			eval $var=\"$value\"
-			;;
-		esac
-	}
-
 	check_yesno_period() {
 		local var="$1" periodvar value period
 
